API reference
Personal profile
12 management API operations for Personal profile.
/v1/me/profileRead
PUT/v1/me/profileUpdate
PUT/v1/me/profile/national-idSet National Id
DELETE/v1/me/profile/national-idClear National Id
PUT/v1/me/profile/phoneSet Phone
DELETE/v1/me/profile/phoneClear Phone
PUT/v1/me/profile/photoSet Photo
DELETE/v1/me/profile/photoClear Photo
GET/v1/me/profile/photoRead Photo
POST/v1/me/profile/correction-requestRequest Correction
GET/v1/institutions/{institution_id}/profile-correction-requestsPending Requests
POST/v1/institutions/{institution_id}/people/{person_id}/profile-correctionCorrect
GET/v1/me/profile
Read
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
PUT/v1/me/profile
Update
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredDisplayNameUpdate
| Field | Type | Required | Description |
|---|---|---|---|
display_name | string | Yes | |
reason | string | null | No |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
PUT/v1/me/profile/national-id
Set National Id
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredobject
| Field | Type | Required | Description |
|---|---|---|---|
national_id | string | Yes | Validation: pattern ^[A-Za-z0-9-]{6,20}$ |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
DELETE/v1/me/profile/national-id
Clear National Id
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredobject
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
PUT/v1/me/profile/phone
Set Phone
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredobject
| Field | Type | Required | Description |
|---|---|---|---|
phone | string | Yes | E.164, or a Kenyan 07/01/254 number normalized to +254 Validation: max length 32 |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
DELETE/v1/me/profile/phone
Clear Phone
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredobject
| Field | Type | Required | Description |
|---|---|---|---|
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
PUT/v1/me/profile/photo
Set Photo
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes | |
content-type | header | string | null | No | |
x-audit-reason | header | string | null | No |
Request body
image/pngRequiredstring · binary
No fields declared in the current specification.
image/jpegRequiredstring · binary
No fields declared in the current specification.
image/webpRequiredstring · binary
No fields declared in the current specification.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
DELETE/v1/me/profile/photo
Clear Photo
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes | |
x-audit-reason | header | string | null | No |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/me/profile/photo
Read Photo
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
No path or query parameters declared.
Request body
This operation has no request body.
Responses
200Successful Response
Content type: image/png,image/jpeg,image/webpUnspecified response schema
No fields declared in the current specification.
POST/v1/me/profile/correction-request
Request Correction
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredCorrectionRequestCreate
| Field | Type | Required | Description |
|---|---|---|---|
field | display_name | photo | phone | national_id | Yes | |
reason | string | Yes | Validation: min length 8; max length 500 |
Responses
201Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
GET/v1/institutions/{institution_id}/profile-correction-requests
Pending Requests
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes |
Request body
This operation has no request body.
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |
POST/v1/institutions/{institution_id}/people/{person_id}/profile-correction
Correct
Authentication Bearer access token with audience taifa-management. Roles and local eligibility are reviewed separately from the OpenAPI bearer scheme.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
institution_id | path | string | Yes | |
person_id | path | string | Yes | |
idempotency-key | header | string | Yes |
Request body
application/jsonRequiredProfileCorrection
| Field | Type | Required | Description |
|---|---|---|---|
field | display_name | photo | phone | national_id | Yes | |
action | clear | set | decline | Yes | |
reason | string | Yes | Validation: min length 8; max length 500 |
display_name | string | null | No |
Responses
200Successful Response
Content type: application/jsonUnspecified response schema
No fields declared in the current specification.
Other responses
| Status | Description | Schema |
|---|---|---|
| 422 | Validation Error | HTTPValidationError |